{
  "name": "banu-front",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "lint": "eslint . --ext .js,.vue --max-warnings=0",
    "lint:fix": "eslint . --ext .js,.vue --fix --max-warnings=0",
    "lint:css:check": "stylelint \"src/**/*.{css,scss,vue}\" --max-warnings=0",
    "lint:css:fix": "stylelint \"src/**/*.{css,scss,vue}\" --fix --max-warnings=0",
    "prepare": "husky install",
    "format": "prettier --write .",
    "format:check": "prettier --check ."
  },
  "dependencies": {
    "@floating-ui/dom": "^1.7.6",
    "@tanstack/vue-query": "^5.62.2",
    "@tanstack/vue-query-devtools": "^5.62.2",
    "@tinymce/tinymce-vue": "^4.0.7",
    "axios": "^1.12.2",
    "html2pdf.js": "^0.14.0",
    "husky": "^8.0.0",
    "jalaali-js": "^1.2.8",
    "lodash": "^4.18.1",
    "pinia": "^3.0.3",
    "tinymce": "^8.5.0",
    "vue": "^3.5.21",
    "vue-advanced-cropper": "^2.8.9",
    "vue-router": "^4.5.1",
    "vue3-persian-datetime-picker": "^1.2.2",
    "vue3-toastify": "^0.2.5",
    "yup": "^1.7.0"
  },
  "devDependencies": {
    "@vitejs/plugin-vue": "^6.0.1",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "^8.10.2",
    "eslint-plugin-import": "^2.32.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-unicorn": "^55.0.0",
    "eslint-plugin-vue": "^9.15.1",
    "eslint-plugin-waterfall": "^1.0.1",
    "lint-staged": "^15.5.2",
    "postcss-html": "^1.8.0",
    "prettier": "2.8.8",
    "sass": "^1.83.0",
    "stylelint": "^16.0.0",
    "stylelint-config-html": "^1.1.0",
    "stylelint-config-standard-scss": "^12.0.0",
    "stylelint-declaration-block-no-ignored-properties": "^2.8.0",
    "vite": "^7.1.6",
    "vite-svg-loader": "^5.1.0",
    "vue-eslint-parser": "^10.2.0"
  }
}
